OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::PoseTriangulation Class Reference

`#include <poseTriangulation.hpp>`

## Public Member Functions
| PoseTriangulation (const int minViews3d)
virtual | ~PoseTriangulation ()
void | initializationOnThread ()
Array< float > | reconstructArray (const std::vector< Array< float >> &keypointsVector, const std::vector< cv::Mat > &cameraMatrices, const std::vector< Point< int >> &imageSizes) const
std::vector< Array< float > > | reconstructArray (const std::vector< std::vector< Array< float >>> &keypointsVector, const std::vector< cv::Mat > &cameraMatrices, const std::vector< Point< int >> &imageSizes) const

## Constructor & Destructor Documentation

op::PoseTriangulation::PoseTriangulation | ( | const int | minViews3d | ) |

virtual op::PoseTriangulation::~PoseTriangulation | ( |  | ) |
| virtual

## Member Function Documentation

void op::PoseTriangulation::initializationOnThread | ( |  | ) |

Array<float> op::PoseTriangulation::reconstructArray | ( | const std::vector< Array< float >> & | keypointsVector,
|  | const std::vector< cv::Mat > & | cameraMatrices,
|  | const std::vector< Point< int >> & | imageSizes
| ) |  | const

std::vector<Array<float> > op::PoseTriangulation::reconstructArray | ( | const std::vector< std::vector< Array< float >>> & | keypointsVector,
|  | const std::vector< cv::Mat > & | cameraMatrices,
|  | const std::vector< Point< int >> & | imageSizes
| ) |  | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/3d/poseTriangulation.hpp